Subject: psychosomatic documentation

From: Minor Monty <[email-masked]>
Date: Tue, 26 Jun 2007 23:18:45 +0300

the ideal person to act as compere would of course be the well known
star of Methil. Scots reaction would be interesting or best of all don't
bother with it. Serbia won on singing merit quite simply.

Personally, I'd hate for the world to be a single homogenised mass of
people. Perhaps we ought to have it for Wasteminster Elections too. I
think next year the UK would be better served by a dynamic coupling of
the Krankies and Bet Lynch! It may be tricky providing a high standard
in a fish and leather theme, but it could be worth a try. If you're
going down the fish route to gain votes, we'd still be the underdog if
the Finns were in it! The world is not all yours, not even Europe, not
even in a song contest.